import * as git from "./utils/git";
export declare type DiffStatus = git.DiffStatus;
export declare const DiffStatus: typeof git.DiffStatus;
export interface DiffOptions {
    cwd?: string;
    since?: git.DiffOptions["ref"];
    paths?: git.DiffOptions["paths"];
    statuses?: git.DiffOptions["statuses"];
}
export interface DiffResult {
    ref: string;
    count: number;
    paths: string[];
    statuses: Record<string, git.DiffStatus>;
}
export declare function diff(options?: DiffOptions): Promise<DiffResult>;
