export declare function getDefaultRef({ cwd, }: {
    cwd?: string;
}): Promise<string>;
export declare enum DiffStatus {
    Added = "A",
    Copied = "C",
    Deleted = "D",
    Modified = "M",
    Renamed = "R",
    ChangedType = "T",
    Unmerged = "U",
    Unknown = "X",
    Broken = "B"
}
export declare type DiffPathFilter = string;
export declare type DiffStatusFilter = "A" | "C" | "D" | "M" | "R" | "T" | "U" | "X" | "B" | "a" | "c" | "d" | "m" | "r" | "t" | "u" | "x" | "b";
export interface DiffOptions {
    cwd?: string;
    ref?: string;
    paths?: Array<DiffPathFilter>;
    statuses?: Array<DiffStatusFilter>;
}
export declare function diff(options?: DiffOptions): Promise<Record<string, DiffStatus>>;
