"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
exports.__esModule = true;
exports.diff = exports.DiffStatus = exports.getDefaultRef = void 0;
var debug = __importStar(require("./debug"));
var shell = __importStar(require("./shell"));
function hasOneOrMoreTags(_a) {
    var cwd = _a.cwd;
    return __awaiter(this, void 0, void 0, function () {
        var stdout;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0: return [4 /*yield*/, shell.exec("git", ["tag"], { cwd: cwd })];
                case 1:
                    stdout = (_b.sent()).stdout;
                    return [2 /*return*/, stdout.trim() !== ""];
            }
        });
    });
}
function getMostRecentTag(_a) {
    var cwd = _a.cwd;
    return __awaiter(this, void 0, void 0, function () {
        var stdout;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0: return [4 /*yield*/, shell.exec("git", ["describe", "--tags", "--abbrev=0"], { cwd: cwd })];
                case 1:
                    stdout = (_b.sent()).stdout;
                    return [2 /*return*/, stdout.split("\n")[0]];
            }
        });
    });
}
function getFirstCommit(_a) {
    var cwd = _a.cwd;
    return __awaiter(this, void 0, void 0, function () {
        var stdout;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0: return [4 /*yield*/, shell.exec("git", ["rev-list", "--max-parents=0", "HEAD"], { cwd: cwd })];
                case 1:
                    stdout = (_b.sent()).stdout;
                    return [2 /*return*/, stdout.split("\n")[0]];
            }
        });
    });
}
function getDefaultRef(_a) {
    var cwd = _a.cwd;
    return __awaiter(this, void 0, void 0, function () {
        var hasTags;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0: return [4 /*yield*/, hasOneOrMoreTags({ cwd: cwd })];
                case 1:
                    hasTags = _b.sent();
                    if (!hasTags) return [3 /*break*/, 3];
                    debug.log("the repo has tags, defaulting to the most recent tag");
                    return [4 /*yield*/, getMostRecentTag({ cwd: cwd })];
                case 2: return [2 /*return*/, _b.sent()];
                case 3:
                    debug.log("the repo has no tags, defaulting to the first commit");
                    return [4 /*yield*/, getFirstCommit({ cwd: cwd })];
                case 4: return [2 /*return*/, _b.sent()];
            }
        });
    });
}
exports.getDefaultRef = getDefaultRef;
// @see https://git-scm.com/docs/git-diff#Documentation/git-diff.txt---diff-filterACDMRTUXB82308203
var DiffStatus;
(function (DiffStatus) {
    DiffStatus["Added"] = "A";
    DiffStatus["Copied"] = "C";
    DiffStatus["Deleted"] = "D";
    DiffStatus["Modified"] = "M";
    DiffStatus["Renamed"] = "R";
    DiffStatus["ChangedType"] = "T";
    DiffStatus["Unmerged"] = "U";
    DiffStatus["Unknown"] = "X";
    DiffStatus["Broken"] = "B";
})(DiffStatus = exports.DiffStatus || (exports.DiffStatus = {}));
var isStatus = function (status) {
    return Object.values(DiffStatus).includes(status) ||
        Object.values(DiffStatus)
            .map(function (s) { return s.toLowerCase(); })
            .includes(status);
};
function diff(options) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function () {
        var cmd, args, stdout, statusesByFile;
        return __generator(this, function (_c) {
            switch (_c.label) {
                case 0:
                    cmd = "git";
                    args = ["diff", "--name-status"];
                    if (options === null || options === void 0 ? void 0 : options.ref) {
                        args.push(options.ref);
                    }
                    if ((_a = options === null || options === void 0 ? void 0 : options.statuses) === null || _a === void 0 ? void 0 : _a.length) {
                        args.push("--diff-filter", options.statuses.join(""));
                    }
                    if ((_b = options === null || options === void 0 ? void 0 : options.paths) === null || _b === void 0 ? void 0 : _b.length) {
                        args.push.apply(args, options.paths);
                    }
                    return [4 /*yield*/, shell.exec(cmd, args, { cwd: options === null || options === void 0 ? void 0 : options.cwd })];
                case 1:
                    stdout = (_c.sent()).stdout;
                    statusesByFile = {};
                    stdout
                        .split("\n")
                        .filter(function (line) { return line !== ""; })
                        .forEach(function (line) {
                        var _a = line.split(/\s+/), status = _a[0], file = _a[1];
                        if (isStatus(status) && file) {
                            statusesByFile[file] = status;
                        }
                    });
                    return [2 /*return*/, statusesByFile];
            }
        });
    });
}
exports.diff = diff;
//# sourceMappingURL=git.js.map