"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
exports.exec = exports.ExecError = void 0;
// tslint:disable max-classes-per-file
var child_process_1 = require("child_process");
var ExecError = /** @class */ (function (_super) {
    __extends(ExecError, _super);
    function ExecError(cmd, code, stdout, stderr) {
        var _this = _super.call(this, "exec() failed:\n   cmd=" + cmd + "\n  code=" + code + "\n  " + stdout + "\n  " + stderr) || this;
        _this.cmd = cmd;
        _this.code = code;
        _this.stdout = stdout;
        _this.stderr = stderr;
        return _this;
    }
    return ExecError;
}(Error));
exports.ExecError = ExecError;
function exec(cmd, args, options) {
    if (options === void 0) { options = {}; }
    var stdout = "";
    var stderr = "";
    return new Promise(function (resolve, reject) {
        var child = child_process_1.spawn(cmd, args, options);
        child.stdout.on("data", function (data) {
            stdout += data;
        });
        child.stderr.on("data", function (data) {
            stderr += data;
        });
        child.on("error", function (error) {
            reject(error);
        });
        child.on("close", function (code) {
            if (code === 0) {
                resolve({ code: code, stdout: stdout, stderr: stderr });
            }
            else {
                reject(new ExecError(__spreadArrays([cmd], args).join(" "), code, stdout, stderr));
            }
        });
    });
}
exports.exec = exec;
//# sourceMappingURL=shell.js.map