"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
exports.__esModule = true;
exports.getAPIOptionsFromCLIOptions = exports.options = void 0;
var api_1 = require("../../api");
var since = {
    "default": undefined,
    requiresArg: true,
    type: "string",
    describe: "The git ref the diff will be run against."
};
var filePath = {
    "default": [],
    requiresArg: true,
    type: "string",
    describe: "The path(s) to filter by."
};
var fileStatus = {
    "default": [],
    requiresArg: true,
    type: "string",
    describe: "The status(es) to filter by.",
    choices: __spreadArrays(Object.values(api_1.DiffStatus).map(function (s) { return s.toUpperCase(); }), Object.values(api_1.DiffStatus).map(function (s) { return s.toLowerCase(); }))
};
exports.options = {
    since: since,
    "file-path": filePath,
    "file-status": fileStatus
};
exports.getAPIOptionsFromCLIOptions = function (options) {
    return {
        since: options.since,
        paths: Array.isArray(options["file-path"])
            ? options["file-path"]
            : options["file-path"]
                ? [options["file-path"]]
                : undefined,
        statuses: Array.isArray(options["file-status"])
            ? options["file-status"]
            : options["file-status"]
                ? [options["file-status"]]
                : undefined
    };
};
//# sourceMappingURL=options.js.map